Subject: Re: PowerPC4xx Watchdog

From: Matt Porter <[email-masked]>
Date: Wed, 2 Mar 2005 16:15:30 -0700

On Wed, Mar 02, 2005 at 05:06:31PM -0600, Kumar Gala wrote:
> Matt,
> 
> [snip]
> 
> > What do you see as the advantage to having a watchdog driver
> >  that uses the booke hardware watchdog facility over a generic
> >  timebase driven driver?
> 
> I would think the watchdog would be useful in cases that the normal 
> decrementer exceptions gets disabled when MSR[EE] = 0.

That's the only thing I can think of.  I guess my question then
is whether people think this is important enough in practice
to have the hardware watchdog as an alternative. My guess is yes,
but I don't have a strong opinion. 

-Matt